org.apache.cassandra.tools

## Class NodeTool.SetCacheCapacity

- java.lang.Object
- - org.apache.cassandra.tools.NodeTool.NodeToolCmd
  - - org.apache.cassandra.tools.NodeTool.SetCacheCapacity

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  NodeTool

    @Command(name="setcachecapacity",
             description="Set global key, row, and counter cache capacities (in MB units)")
    public static class NodeTool.SetCacheCapacity
    extends NodeTool.NodeToolCmd

### Constructor Summary

Constructors
Constructor and Description
`NodeTool.SetCacheCapacity()`

### Method Summary

Methods
`void` `execute(NodeProbe probe)`

### Methods inherited from class org.apache.cassandra.tools.NodeTool.NodeToolCmd

`parseOptionalColumnFamilies, parseOptionalKeyspace, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NodeTool.SetCacheCapacity

    public NodeTool.SetCacheCapacity()

### Method Detail

#### execute

    public void execute(NodeProbe probe)

Specified by:
  `execute` in class `NodeTool.NodeToolCmd`